<template>
  <v-row class="mt-3">
    <v-col cols="12" sm="6" md="3">
      <v-autocomplete
        :items="clinics"
        v-model="filters.clinicId"
        dense
        clearable
        label="Клиника"
      />
    </v-col>

    <v-col cols="12" sm="6" md="3">
      <v-autocomplete
        :items="doctors"
        v-model="syncedFilters.doctorId"
        dense
        clearable
        label="Доктор"
      />
    </v-col>

    <v-col cols="12" sm="6" md="3">
      <v-text-field
        type="date"
        v-model="syncedFilters.dateStart"
        dense
        label="Период, с"
        clearable
        :min="currentDate"
      />
    </v-col>

    <v-col cols="12" sm="6" md="3">
      <v-text-field
        type="date"
        v-model="syncedFilters.dateEnd"
        dense
        label="Период, по"
        clearable
      />
    </v-col>
  </v-row>
</template>

<script lang="ts">
import Vue from 'vue'
import Component from 'vue-class-component'
import { Prop, PropSync } from 'vue-property-decorator'
import { Filters, FilterParams } from '@/typings/Timetable'

@Component
export default class TimetableFilters extends Vue {
  @PropSync('filters', { type: Object }) syncedFilters!: Filters
  @Prop({ type: Array }) readonly clinics!: FilterParams[]
  @Prop({ type: Array }) readonly doctors!: FilterParams[]
  @Prop({ type: String }) readonly currentDate!: string
}
</script>